using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Knot.Modules.Auth.Migrations
{
    /// <inheritdoc />
    public partial class AddRefreshTokenExpiry : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "RefreshTokenExpiry",
                schema: "identity",
                table: "Users",
                type: "timestamp with time zone",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "RefreshTokenExpiry",
                schema: "identity",
                table: "Users");
        }
    }
}